require("Utils.Loader")

local CommandsProvider = {}

function CommandsProvider.getCommands()
    return {
        {
            id = "Список источников",
            menuItem = "Открыть окно со списком источников",
            command = CommandsProvider.ChangeSource
        },
        {
            id = "Главная страница",
            menuItem = "Открыть окно справочной системы",
            command = CommandsProvider.OpenMainPage
        },
        {
            id = "Расставить ссылки",
            menuItem = "Расставить ссылки на документы",
            command = CommandsProvider.AddLinks
        },
        {
            id = "Проверить ссылки",
            menuItem = "Проверить ссылки на изменения связанных документов",
            command = CommandsProvider.ShowLinks
        },
        {
            id = "Найти",
            menuItem = "Найти в справочной системе",
            command = CommandsProvider.Search
        },
        {
            id = "Справка",
            menuItem = "Открыть справку",
            command = CommandsProvider.OpenInfo
        }
    }
end


function CommandsProvider.ChangeSource(context)
    kChangeSource()
end

function CommandsProvider.OpenMainPage(context)
    kOpenMainPage()
end

function CommandsProvider.AddLinks(context)
	objects = getObjects(context)
    kAddLinks(objects)
end

function CommandsProvider.ShowLinks(context)
	objects = getObjects(context)
    kShowLinks(objects)
end

function CommandsProvider.Search(context)
    text = selectedText(context)
    kOpenSearch(text)
end

function CommandsProvider.OpenInfo(context)
    kOpenInfo()
end

return CommandsProvider